Bug 702018 - Review Request: python-easygui - Very simple, very easy GUI programming in Python
Summary: Review Request: python-easygui - Very simple, very easy GUI programming in Py...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-04 14:41 UTC by Gwyn Ciesla
Modified: 2011-10-09 19:51 UTC (History)
4 users (show)

Fixed In Version: python-easygui-0.96-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-09 06:55:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Gwyn Ciesla 2011-05-04 14:41:23 UTC
Description:
Experienced Pythonistas need support for quick and dirty GUI features. New 
Python programmers need GUI capabilities that don't require any knowledge 
of Tkinter, frames, widgets, callbacks or lambda. This is what EasyGUI 
provides. Using EasyGUI, all GUI interactions are invoked by simple 
function calls.

EasyGUI is different from other GUIs in that EasyGUI is NOT event-driven. 
It allows you to program in a traditional linear fashion, and to put up 
dialogs for simple input and output when you need to. If you have not yet 
learned the event-driven paradigm for GUI programming, EasyGUI will allow 
you to be productive with very basic tasks immediately. Later, if you 
wish to make the transition to an event-driven GUI paradigm, you can do 
so with a more powerful GUI package such as anygui, PythonCard, Tkinter, 
wxPython, etc. 

SPEC: http://zanoni.jcomserv.net/fedora/python-easygui/python-easygui.spec
SRPM: http://zanoni.jcomserv.net/fedora/python-easygui/python-easygui-0.96-0.fc14.src.rpm

Comment 1 William Lima 2011-05-04 14:48:37 UTC
Please fix your Review Summary.

Comment 2 Gwyn Ciesla 2011-05-04 15:23:16 UTC
Review Summary?  And fix how?  I'm not sure what you mean.

Comment 3 William Lima 2011-05-04 15:47:31 UTC
http://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Create_Your_Review_Request

* Make sure that you put the name of the package (excluding version and release numbers) in the 'Review Summary' field, along with a very brief summary of what the package is.

http://fedoraproject.org/wiki/File:PackageReviewProcess_review.png

Comment 4 Gwyn Ciesla 2011-05-04 16:27:03 UTC
<headdesk>

I've been doing this quite awhile, and should know better.  In my defense, this was submitted pre-coffee.

Thank you, and good catch. :)

Comment 5 Matthias Runge 2011-09-20 20:23:57 UTC
Jon, there are two small issues, I just discovered.

rpmlint ./python-easygui.spec 
./python-easygui.spec: E: specfile-error sh: line 0: fg: no job control
0 packages and 1 specfiles checked; 1 errors, 0 warnings.


rpmbuild -ba reports

RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib/python3.2/site-packages/__pycache__/easygui.cpython-32.pyc
   /usr/lib/python3.2/site-packages/__pycache__/easygui.cpython-32.pyo

Can you fix those, please?

Comment 7 Matthias Runge 2011-09-28 19:28:28 UTC
You meant: http://zanoni.jcomserv.net/fedora/python-easygui/python-easygui-0.96-1.fc15.src.rpm


Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on: koji, f16
 http://koji.fedoraproject.org/koji/taskinfo?taskID=3386103
[x]  Rpmlint output:
[mrunge@sofja SPECS]$ rpmlint ./python-easygui.spec ../RPMS/noarch/python-easygui-0.96-1.fc16.noarch.rpm ../RPMS/noarch/python3-easygui-0.96-1.fc16.noarch.rpm ../SRPMS/python-easygui-0.96-1.fc16.src.rpm 
python-easygui.noarch: W: spelling-error %description -l en_US dialogs -> dialog, dialog s
python-easygui.noarch: W: spelling-error %description -l en_US anygui -> Guiyang
python-easygui.noarch: W: spelling-error %description -l en_US wxPython -> Python, python
python3-easygui.noarch: W: spelling-error %description -l en_US dialogs -> dialog, dialog s
python3-easygui.noarch: W: spelling-error %description -l en_US anygui -> Guiyang
python3-easygui.noarch: W: spelling-error %description -l en_US wxPython -> Python, python
python-easygui.src: W: spelling-error %description -l en_US dialogs -> dialog, dialog s
python-easygui.src: W: spelling-error %description -l en_US anygui -> Guiyang
python-easygui.src: W: spelling-error %description -l en_US wxPython -> Python, python
3 packages and 1 specfiles checked; 0 errors, 9 warnings.

[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type: BSD
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 954fd5d5214d84874a5f8f9e199e3f13
MD5SUM upstream package: 954fd5d5214d84874a5f8f9e199e3f13  easygui_v0.96_docs.tar.gz

[x]  Package is not known to require ExcludeArch, OR:
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[x]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[!]  Package does not include license text files separate from upstream.
[-]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x]  Reviewer should test that the package builds in mock.
Tested on: koji, see above
[x]  Package should compile and build into binary rpms on all supported architectures.
Tested on: noarch
[x]  Package functions as described.
[x]  Scriptlets must be sane, if used.
[x]  The placement of pkgconfig(.pc) files are correct.
[x]  File based requires are sane.


=== Notes ===
1. Contains separate License file. As stated above, License is BSD. 



================
*** APPROVED ***
================

Comment 8 Gwyn Ciesla 2011-09-28 19:51:11 UTC
So I did, thanks for the review!

New Package SCM Request
=======================
Package Name: python-easygui
Short Description: Very simple, very easy GUI programming in Python
Owners: limb
Branches: f16 f15
InitialCC:

Comment 9 Gwyn Ciesla 2011-09-28 19:54:00 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-09-29 01:08:18 UTC
python-easygui-0.96-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-easygui-0.96-1.fc16

Comment 11 Fedora Update System 2011-09-29 01:08:19 UTC
python-easygui-0.96-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-easygui-0.96-1.fc15

Comment 12 Fedora Update System 2011-09-29 04:48:32 UTC
python-easygui-0.96-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 13 Fedora Update System 2011-10-09 06:55:23 UTC
python-easygui-0.96-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Fedora Update System 2011-10-09 19:51:53 UTC
python-easygui-0.96-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.